Subject: Re: [PATCH]: r8169: Expose hardware stats via ethtool

From: Jeff Garzik <[email-masked]>
Date: Sun, 27 Feb 2005 17:59:45 -0500

Richard Dawe wrote:
>> BUG() is a bit exagerated imho.
> 
> 
> It seems like a pretty good way of avoiding a buffer overrun to me. 
> E.g.: you copy an extra statistic in rtl8169_get_ethtool_stats(), but 
> forget to update the stats length. Is it not better to crash early, than 
> encounter random behaviour later?

Yeah, that's why the BUG() is present in 8139cp:  force an oops rather 
than continue corrupting memory, if the programmer made an error.

	Jeff